#
# spec file for package python-pysmi
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pysmi
Version:        0.0.7
Release:        3.2
Summary:        SNMP SMI/MIB Parser
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://pysmi.sourceforge.net/
Source:         https://pypi.python.org/packages/source/p/pysmi/pysmi-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-ply
Requires:       python-ply
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A pure-Python implementation of SNMP/SMI MIB parsing and conversion library.
Can produce PySNMP MIB modules.

Documentation: http://pysmi.sf.net

%prep
%setup -q -n pysmi-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/mibdump.py %{buildroot}%{_bindir}/mibdump

#%%check
#nosetests # cannot be run without pysmnp which needs this package

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt CHANGES.txt
%{python_sitelib}/*
%{_bindir}/mibdump

%changelog
* Mon Aug  1 2016 mardnh@gmx.de
- Update to version 0.0.07
  * Crash on existing .py file handling fixed.
  * Fix to __doc__ use in setup.py to make -O0 installation mode working.
  * Fix to PyPackageSearcher not to fail on broken Python packages.
  * Source code pep8'ed
  * Copyright added to source files.
* Sat Nov 21 2015 bwiedemann@suse.com
- initial package of version 0.0.6
